# FirmhousePromotion

## Properties

| Property                                 | Type                                                                                                                            | Description                                                                        |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| `activated`                              | `boolean`                                                                                                                       | Whether the promotion is currently active.                                         |
| `autoApply`                              | `boolean`                                                                                                                       | Whether or not this promotion will automatically be applied on checkout            |
| `deactivateAfterAmountIncludingTaxCents` | `null` \| `number`                                                                                                              | The amount after which the promotion should get deactivated on a customer          |
| `deactivateAfterTimes`                   | `null` \| `number`                                                                                                              | After how many times this promotion is "used up" for a customer                    |
| `deactivationStrategy`                   | [`AppliedPromotionDeactivationStrategy`](/sdks/firmhouse-sdk/reference/enumerations/applied-promotion-deactivation-strategy.md) | Which mechanism will be used to deactivate the promotion                           |
| `id`                                     | `string`                                                                                                                        | The id of this promotion that can be used to apply the promotion on a subscription |
| `percentDiscount`                        | `null` \| `number`                                                                                                              | The percentage of discount that this promotion gives                               |
| `publicName`                             | `null` \| `string`                                                                                                              | Alternative name to be displayed on invoices and checkout                          |
| `title`                                  | `string`                                                                                                                        | The title of the promotion as it will appear on invoices and in the portal         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-promotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
